JavaScript
const apiKey = "your api key here" // update with your api_key
const listId = 0 // update with the id of the list that you would like returned
const myHeaders = new Headers();
myHeaders.append('Authorization', `Bearer ${apiKey}`);
const requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch(`https://wiza.co/api/lists/${listId}`, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));import http.client
api_key = "your api key here" # update with your api_key
list_id = 0 # update with the id of the list that you would like returned
conn = http.client.HTTPSConnection('wiza.co')
authorization = ("Bearer {api_key}").format(api_key=api_key)
payload = ''
headers = { 'Authorization': authorization }
url = ("/api/lists/{list_id}").format(list_id=list_id)
conn.request('GET', url, payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode('utf-8'))require 'uri'
require 'net/http'
api_key = "your api key here" # update with your api_key
list_id = 0 # update with the id of the list that you would like returned
url = URI("https://wiza.co/api/lists/#{list_id}")
https = Net::HTTP.new(url.host, url.port);
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer #{api_key}"
response = https.request(request)
puts response.read_bodyapi_key="your api key here" # update with your api_key
list_id=0 # update with the id of the list that you would like returned
curl --location "https://wiza.co/api/lists/${list_id}" --header "Authorization: Bearer ${api_key}"
api_key="your api key here" # update with your api_key
list_id=0 # update with the id of the list that you would like returned
curl --location "https://wiza.co/api/lists/${list_id}" --header "Authorization: Bearer ${api_key}"<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://wiza.co/api/lists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://wiza.co/api/lists/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://wiza.co/api/lists/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"status": {
"code": 200,
"message": ""
},
"type": "list",
"data": {
"id": 15,
"name": "VP of Sales in San Francisco",
"status": "queued",
"stats": {
"people": 2,
"credits": {
"email_credits": 1,
"phone_credits": 1,
"export_credits": 1,
"api_credits": {
"email_credits": 2,
"phone_credits": 5,
"scrape_credits": 1,
"total": 8
}
}
},
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"enrichment_level": "partial",
"email_options": {
"accept_work": true,
"accept_personal": true,
"accept_generic": true
},
"report_type": "people"
}
}Authorizations
Enter your bearer token (your API key) in the Authorization header in the format Bearer {token}
Path Parameters
id
⌘I

